# Фильтры

{% hint style="info" %}
**Обратите внимание:** в списке будут показаны общедоступные фильтры или созданные владельцем токена <https://help.myfreshcloud.com/settings/filters>
{% endhint %}

## Список пользовательских фильтров

<mark style="color:blue;">`GET`</mark> `https://do.myfreshcloud.com/filter/list/custom?id_module=1`

#### Query Parameters

| Name       | Type | Description        |
| ---------- | ---- | ------------------ |
| id\_module | Int  | Код модуля системы |

#### Headers

| Name          | Type   | Description              |
| ------------- | ------ | ------------------------ |
| Authorization | String | Bearer XXXXX.XXXXX.XXXXX |
| Content-Type  | String | application/json         |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "status": "success",
  "error": "",
  "code": null,
  "rows": 0,
  "pages": 0,
  "page": 0,
  "value": [
             {
               "id": 48,
               "id_module": 1,
               "is_public": true,
               "name": "Пример",
               "user_id": 37,
               "limitation": false,
               "date_limitation": null
              }
            ]
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

> ⚡️**id\_module**
>
> 1. Контрагенты
> 2. Задачи
> 3. Проекты
> 4. Документы
> 5. Финанасы
>
> 20\.  Сделки
>
> 24\.  Почта

## Columns

<table><thead><tr><th width="249">Имя</th><th>Описание</th></tr></thead><tbody><tr><td><strong>id</strong></td><td>Код фильтра</td></tr><tr><td><strong>id_module</strong></td><td>Код модуля системы</td></tr><tr><td><strong>is_public</strong></td><td>Признак общедоступности фильтра</td></tr><tr><td><strong>name</strong></td><td>Наименование</td></tr><tr><td><strong>user_id</strong></td><td>Код пользователя создавшего фильтр</td></tr><tr><td><strong>limitation</strong></td><td>Признак ограниченного срока жизни фильтра</td></tr><tr><td><strong>date_limitation</strong></td><td>Дата когда фильтр будет удален</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidoc.myfreshcloud.com/reference/filters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
